
html {
  font-size: 62.2%;
}

body {
  background: #eee;
}

.container1 {
  max-width: 1200px;
  margin: 0 auto;
  padding: 3rem 2rem;
}

.container1 .title {
  font-size: 26px;
  color: #111;
  margin-bottom: 30px;
  text-transform: uppercase;
  text-align: center;
  margin-top: 70px;
}

.container1 .products-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 2rem;
}

.container1 .products-container .product {
  text-align: center;
  padding: 3rem 2rem;
  background: #fff;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
  outline: 0.1rem solid #ccc;
  outline-offset: -1.5rem;
  cursor: pointer;
  /* background-color: #74b44a; */
  border-radius: 10px 10px 10px 10px;
}

.container1 .products-container .product:hover {
  outline: 0.2rem solid #222;
  background-color: #74b44a;
  outline-offset: 0;
}

.container1 .products-container .product img {
  height: 25rem;
}

.container1 .products-container .product:hover img {
  transform: scale(0.9);
}

.container1 .products-container .product h3 {
  padding: 0.5rem 0;
  font-size: 2rem;
  color: #111;
}

.container1 .products-container .product:hover h3 {
  color: #fff;
}

.container1 .products-container .product .price {
  font-size: 2rem;
  color: #444;
}

.request {
  background-color: #224cf3;
  border-radius: 5px;
  height: 36px;
  width: 78px;
  border-color: white;
  align-items: end;
}

.request a {
  color: #fff;
}

.products-preview {
  position: fixed;
  top: 0;
  left: 0;
  min-height: 100vh;
  width: 100%;
  background: rgba(0, 0, 0, 0.8);
  display: none;
  align-items: center;
  justify-content: center;
}
.input-group label {
  display: block;
  color: #141313;
  margin-bottom: 5px;
  font-size: 16px;
  text-align: left;
}
.input-group input {
  border: solid 2px #f0f0f0;
  border-radius: 5px;
  padding: 13px;
  margin-bottom: 5px;
  font-size: 16px;
  display: block;
  width: 80%;
}
.input-group{
  margin-bottom: 5px;
}

#myDropdown {
  width: 80%;
  border: solid 2px #f0f0f0;
  border-radius: 5px;
  padding: 13px;
  margin-bottom: 5px;
  font-size: 16px;
  display: block;
}


.products-preview .preview {
  display: none;
  padding: 2rem;
  text-align: center;
  background: #fff;
  position: relative;
  margin: 2rem;
  width: 40rem;
}

.products-preview .preview.active {
  display: inline-block;
}

.products-preview .preview img {
  height: 30rem;
  border-radius: 10%;
}

.products-preview .preview .fa-times {
  position: absolute;
  top: 1rem;
  right: 1.5rem;
  cursor: pointer;
  color: #444;
  font-size: 4rem;
}

.products-preview .preview .fa-times:hover {
  transform: rotate(90deg);
}

.products-preview .preview h3 {
  color: #444;
  padding: 0.5rem 0;
  font-size: 2.5rem;
}

.products-preview .preview .stars {
  padding: 1rem 0;
  font-size: 1.7rem;
}

.products-preview .preview .stars i {
  color: #27ae60;
}

.products-preview .preview .stars span {
  color: #999;
}

.products-preview .preview p {
  line-height: 1.5;
  padding: 1rem 0;
  font-size: 1.6rem;
  color: #777;
}

.products-preview .preview .price {
  padding: 1rem 0;
  font-size: 2.5rem;
  color: #27ae60;
}

.products-preview .preview .buttons {
  display: flex;
  gap: 1.5rem;
  flex-wrap: wrap;
  margin-top: 1rem;
}

.products-preview .preview .buttons a {
  flex: 1 1 16rem;
  padding: 1rem;
  font-size: 1.8rem;
  color: #444;
  border: 0.1rem solid #444;
}

.products-preview .preview .buttons a.cart {
  background: #444;
  color: #fff;
}

.products-preview .preview .buttons a.cart:hover {
  background: #111;
}

.products-preview .preview .buttons a.buy:hover {
  background: #444;
  color: #fff;
}


@media (max-width: 991px) {
  html {
    font-size: 55%;
  }
}

@media (max-width: 768px) {
  .products-preview .preview img {
    height: 25rem;
  }
}

@media (max-width: 450px) {
  html {
    font-size: 50%;
  }
}
